<%@ page language="VB" masterpagefile="MasterPage.master" autoeventwireup="false" inherits="ShoppingCart, App_Web_q9l78cte" title="" validaterequest="false" enableEventValidation="false" %>
<%@ MasterType VirtualPath="MasterPage.master" %>
<%@ Register TagPrefix="FCKeditorV2" Namespace="FredCK.FCKeditorV2" Assembly="FredCK.FCKeditorV2" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="Server">
    <asp:UpdatePanel ID="UpdatePanelBasket" runat="server">
        <ContentTemplate>
            <center>
                <b>
                    <asp:Label ID="lblEmpty" runat="server" Text="<%$ Resources:Resource, Client_ShoppingCart_NoProducts %>" Font-Size="12pt"
                        ForeColor="Black" Visible="False"></asp:Label></b>
            </center>
            <center>
                <b>
                    <asp:Label ID="lblOrderMerged" runat="server" ForeColor="Black" Text="<%$ Resources:Resource, Client_ShoppingCart_ProductsInBasket %>"
                        Font-Size="10pt" Visible="false"></asp:Label></b>
            </center>
            <table style="width: 100%; height: 25px; margin-bottom: 15px;">
                <tr>
                    <td style="width: 200px;">
                        <asp:LinkButton CssClass="Link" ID="lblClearBasket" OnClick="lblClearBasket_Click" runat="server" Visible="false"><%=Resources.Resource.Client_ShoppingCart_ClearOrder%></asp:LinkButton>
                        <ajaxToolkit:ConfirmButtonExtender ID="ConfirmButtonExtender2" runat="server" TargetControlID="lblClearBasket" ConfirmText="<%$ Resources:Resource, Client_ShoppingCart_ClearQ %>" />
                    </td>
                    <td>
                        <asp:UpdateProgress ID="UpdateProgress1" runat="server" AssociatedUpdatePanelID="UpdatePanelBasket">
                            <ProgressTemplate>
                                <img src="images/loading_red.gif" alt="" />
                                <span class="ContentText"><%=Resources.Resource.Client_ShoppingCart_Updating%></span>
                                <br />
                            </ProgressTemplate>
                        </asp:UpdateProgress>
                    </td>
                </tr>
            </table>
            <asp:DataList ID="DataListBasket" runat="server" Width="98%" OnItemCommand="DataListBasket_ItemCommand" BackColor="White">
                <HeaderTemplate>
                    <table width="100%" border="0" cellspacing="0" cellpadding="0" bgcolor="white" class="ContentTextBlack" style="padding: 3px;">
                        <tr>
                            <td class="OrderTableHead" style="width: 300px; padding-left: 5px;">
                                <%=Resources.Resource.Client_ShoppingCart_Name%>
                            </td>
                            <td class="OrderTableHead" style="width: 140px;">
                                <%=Resources.Resource.Client_ShoppingCart_Count%>
                            </td>
                            <td class="OrderTableHead" style="width: 120px;">
                                <%=Resources.Resource.Client_ShoppingCart_Cost%>
                            </td>
                            <td class="OrderTableHead" style="width: 75px">
                            </td>
                        </tr>
                    </table>
                </HeaderTemplate>
                <ItemTemplate>
                    <table width="100%" border="0" cellspacing="0" cellpadding="0" bgcolor="white" class="ContentTextBlack"
                        style="padding: 3px; height: 30px;">
                        <tr>
                            <td class="OrderTable_td" style="width: 300px; padding-left: 5px;">
                                <a class="Link" href='<%#"Details.aspx?ProductID=" & Eval("ProductID") & "&key=showp1" %>'>
                                    <%#Eval("ProductName") %></a>
                            </td>
                            <td class="OrderTable_td" style="width: 140px">
                                <asp:TextBox ID="txtAmount" runat="server" Width="50px" Text='<%#Eval("Amount")%>'></asp:TextBox>
                                <ajaxToolkit:FilteredTextBoxExtender ID="FilteredTextBoxExtender2" runat="server" TargetControlID="txtAmount" FilterType="Numbers" />
                                <asp:LinkButton ID="llbChangeAmount" CssClass="Link" runat="server" CommandName="ChangeAmount"
                                    CommandArgument='<%# Eval("ProductID") %>'><%=Resources.Resource.Client_ShoppingCart_Change%></asp:LinkButton>
                            </td>
                            <td class="OrderTable_td" style="width: 120px">
                                <%#Format(Math.Round(Eval("Price") * Eval("Amount") / Session("CurrentCurrencyRate"), 2), "##,##0.00") & " " & Session("CurrentCurrencyCode")%>
                            </td>
                            <td class="OrderTable_td" style="width: 75px">
                                <asp:LinkButton ID="llbDelete" CssClass="Link" CommandName="DeleteItem" CommandArgument='<%# Eval("ProductID") %>'
                                    runat="server"><%=Resources.Resource.Client_ShoppingCart_Delete%></asp:LinkButton>
                            </td>
                        </tr>
                    </table>
                </ItemTemplate>
                <AlternatingItemTemplate>
                    <table width="100%" border="0" cellspacing="0" cellpadding="0" bgcolor="white" class="ContentTextBlack"
                        style="padding: 3px; height: 30px;">
                        <tr style="background-color: #eff0f1;">
                            <td class="OrderTable_td_alt" style="width: 300px; padding-left: 5px;">
                                <a class="Link" href='<%#"Details.aspx?ProductID=" & Eval("ProductID") & "&key=showp1" %>'>
                                    <%#Eval("ProductName") %></a>
                            </td>
                            <td class="OrderTable_td_alt" style="width: 140px">
                                <asp:TextBox ID="txtAmount" runat="server" Width="50px" Text='<%#Eval("Amount")%>'></asp:TextBox>
                                <ajaxToolkit:FilteredTextBoxExtender ID="FilteredTextBoxExtender2" runat="server"
                                    TargetControlID="txtAmount" FilterType="Numbers" />
                                <asp:LinkButton ID="llbChangeAmountAlt" CssClass="Link" runat="server" CommandName="ChangeAmount"
                                    CommandArgument='<%# Eval("ProductID") %>'><%=Resources.Resource.Client_ShoppingCart_Change%></asp:LinkButton>
                            </td>
                            <td class="OrderTable_td_alt" style="width: 120px">
                                <%#Format(Math.Round(Eval("Price") * Eval("Amount") / Session("CurrentCurrencyRate"), 2), "##,##0.00") & " " & Session("CurrentCurrencyCode")%>
                            </td>
                            <td class="OrderTable_td_alt" style="width: 75px">
                                <asp:LinkButton ID="llbDeleteAlt" CssClass="Link" CommandName="DeleteItem" CommandArgument='<%# Eval("ProductID") %>'
                                    runat="server"><%=Resources.Resource.Client_ShoppingCart_Delete%></asp:LinkButton>
                            </td>
                        </tr>
                    </table>
                </AlternatingItemTemplate>
                <FooterTemplate>
                </FooterTemplate>
            </asp:DataList>
            <br />
            <asp:Panel ID="pnlSummary" runat="server" Visible="false">
                <table border="0" cellspacing="0" cellpadding="0" class="ContentTextBlack"
                    style="padding: 3px; width: 98%;">
                    <tr>
                        <td style="">
                            &nbsp;
                        </td>
                        <td style="width: 240px; text-align: right">
                            <%=Resources.Resource.Client_ShoppingCart_CostOrder%>:&nbsp;
                        </td>
                        <td style="width: 150px;">
                            <asp:Label ID="lblTotalOrderPrice" runat="server"></asp:Label>
                        </td>
                    </tr>
                    <tr>
                        <td style="">
                            &nbsp;<asp:Button ID="btnConfirmOrder" runat="server" Text="<%$ Resources:Resource, Client_ShoppingCart_DrawUp %>" />
                        </td>
                        <td style="width: 240px; text-align: right">
                            <%=Resources.Resource.Client_ShoppingCart_Discount%>:&nbsp;
                        </td>
                        <td style="width: 150px;">
                            <asp:Label ID="lblOrderDiscount" runat="server"></asp:Label>
                        </td>
                    </tr>
                    <tr>
                        <td style="">
                            &nbsp;
                        </td>
                        <td style="width: 240px; text-align: right">
                            <b><%=Resources.Resource.Client_ShoppingCart_Total%>:&nbsp;</b>
                        </td>
                        <td style="width: 150px;">
                            <b>
                                <asp:Label ID="lblTotalPrice" runat="server"></asp:Label></b>
                        </td>
                    </tr>
                </table>
            </asp:Panel>
            <asp:Panel ID="PanelGoNext1" runat="server" HorizontalAlign="Left" Width="100%">
                <br />
                <br />
                <asp:HyperLink ID="HyperLink1" runat="server" CssClass="Link" NavigateUrl="~/Default.aspx"><%=Resources.Resource.Client_ShoppingCart_ToMain%></asp:HyperLink><br />
            </asp:Panel>
            <br />
            <a href = "" id ="aBackToCatalog" runat = "server" class = "Link" visible ="false" ><%=Resources.Resource.Client_ShoppingCart_ContinueBuying%></a>
            <%--<a href="javascript: history.back();" class="Link">&lt;&lt; </a>--%>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
